import Element from '../../nodes/basic/element/Element';
import HTMLRenderResult from '../HTMLRenderResult';
import IHTMLRenderer from '../IHTMLRenderer';
/**
 * Utility for converting an element to string.
 *
 * @class QuerySelector
 */
export default class ElementRenderer implements IHTMLRenderer {
    /**
     * Renders an element as HTML.
     *
     * @param {Element} element Element to render.
     * @return {HTMLRenderResult} Result.
     */
    getOuterHTML(element: Element): HTMLRenderResult;
    /**
     * Renders an element as HTML.
     *
     * @param {Element} element Element to render.
     * @return {HTMLRenderResult} Result.
     */
    getInnerHTML(element: any): HTMLRenderResult;
    /**
     * Returns attributes as a string.
     *
     * @param {Element} element Element.
     * @return {string} Attributes.
     */
    private getAttributes;
}
