import Node from '../node/Node';
import NodeType from '../node/NodeType';
/**
 * CommentNode.
 */
export default class CommentNode extends Node {
    nodeType: NodeType;
    protected _textContent: string;
    /**
     * Converts to string.
     *
     * @return {string} String.
     */
    toString(): string;
    /**
     * Node name.
     *
     * @return {string} Node name.
     */
    get nodeName(): string;
    /**
     * Returns text content.
     *
     * @return {string} Text content.
     */
    get textContent(): string;
    /**
     * Sets text content.
     *
     * @param {string} textContent Text content.
     */
    set textContent(textContent: string);
    /**
     * Returns node value.
     *
     * @return {string} Node value.
     */
    get nodeValue(): string;
    /**
     * Sets node value.
     *
     * @param {string} nodeValue Node value.
     */
    set nodeValue(nodeValue: string);
    /**
     * Returns data.
     *
     * @return {string} Data.
     */
    get data(): string;
    /**
     * Sets data.
     *
     * @param {string} data Data.
     */
    set data(nodeValue: string);
}
