import DocumentFragment from '../document-fragment/DocumentFragment';
import ElementRenderer from '../../../html-renderer/element/ElementRenderer';
/**
 * ShadowRoot.
 */
export default class ShadowRoot extends DocumentFragment {
    mode: string;
    _renderer: ElementRenderer;
    /**
     * Returns inner HTML.
     *
     * @return {string} HTML.
     */
    get innerHTML(): string;
    /**
     * Sets inner HTML.
     *
     * @param {string} html HTML.
     * @return {string} HTML.
     */
    set innerHTML(html: string);
    /**
     * Converts to string.
     *
     * @return {string} String.
     */
    toString(): string;
}
